Revise outreach program documents
Closed, ResolvedPublic

Description

Plan to revise outreach documents with @Aklapper

  • Landing Page
    • Add outreach program logos and link them to respective pages
    • Include only one or two inspirational resources: one or two from WMF blog & a previous outreach candidate
    • Add something like an 'Interested Mentors?' button on the right of the page, redirects to /mentors page that contains list of possible mentors and some getting started resources. Revise 'Possible Mentors' page.
  • GSOC/Outreachy pages
    • Perhaps the main page for each of these programs should contain information about the ongoing program (GSOC'17) and not a list of pages from previous years. List should stay in the top nav bar as it is right now
  • Life of a Successful Project
    • Move content from this page to the Recommended Steps for Prospective Candidates section of GSOC/Outreachy page, etc and then see if we could get rid of this page entirely?
  • Possible Projects & Application Template
    • Move content from here to 'Recommended Steps' section of GSOC/Outreachy and get rid of these pages entirely.
  • Selection Process, Lessons Learned, Organizations
    • More plan coming later!

Too ambitious?

  • For the landing page of outreach programs, work with comms to produce a short video of participants from previous years: what they are currently doing, and what they got out of these programs.

Resources

@Aklapper I'm starting with reviewing Life of a Successful Project, Possible Projects, and Application Template pages, and see what could be fitted into the 'Recommended Steps for Prospective Candidates' section of GSOC/Outreachy pages, and then get rid of all of them. Sounds good??

srishakatux updated the task description. (Show Details)Jun 5 2017, 8:58 PM
  • Landing Page
    • Add outreach program logos and link them to respective pages

Probably "active outreach program logos and link..."? Don't really want to list programs we once took part in in 2012.

Logos:

Feel free to paste P5547 into a page, preview, change, remix, ignore. :)

  • Landing Page
    • Add something like an 'Interested Mentors?' button on the right of the page, redirects to /mentors page that contains list of possible mentors and some getting started resources.

The target group is potential mentors, not students looking for mentors? If so I'd simply make a button say "Become a mentor" or such.

  • Landing Page
    • Revise 'Possible Mentors' page.

Possible mentors started out as a "common list of mentors of Summer of Code 2013 and Outreach Program for Women Round #6".
We have no concept how to keep that list slightly updated. This is the generic "Maintainers Missing in Action" problem in FOSS.
A week ago I turned the list into a table, with the vague intention to add a column directly linking to the latest Gerrit activity of every listed mentor (or to https://wikimedia.biterg.io ), so a student could check recent mentor activity themselves and potentially realize "This mentor has not been active in Gerrit for years" (I tried a few names and yes, this statement is true for some). However, some mentors are not on Gerrit but GitHub etc. Hence not sure if/how this is a good idea - thoughts welcome.
I don't see why it should say "If former mentors are missing, just add them" (which it says right now) if its scope is offering potential mentors for future projects instead of a Mentors Hall of Fame from the past. Again, scope of page...

  • GSOC/Outreachy pages
    • Perhaps the main page for each of these programs should contain information about the ongoing program (GSOC'17) and not a list of pages from previous years. List should stay in the top nav bar as it is right now

I'd probably add generic, "static" info to each main page. Short description, link to eligibility, expectations. Then link a blue button to most recent edition of the program?

  • Life of a Successful Project
    • Move content from this page to the Recommended Steps for Prospective Candidates section of GSOC/Outreachy page, etc and then see if we could get rid of this page entirely?

Yes. Life of a successful project has different audiences: Info for both students (expectations, process, timeline) and mentors. As an interested student I'd not care about the life of a successful project (naming) but want to know what I'm expected to do and what I should know. On a technical maintenance level, note that we could transclude (lst) content from a page to be displayed in another page, but I'd not recommend when it comes to translatibility (grrr).
"Prospective Candidates" = "Applicants" / "Students"? As an applicant I could not really judge if I was prospective ("good enough") or not. :P

  • Landing Page
    • Add outreach program logos and link them to respective pages

Probably "active outreach program logos and link..."? Don't really want to list programs we once took part in in 2012.

Yes, agree to this!

Logos:

Very very nice! :) I will use it.

  • Landing Page
    • Add something like an 'Interested Mentors?' button on the right of the page, redirects to /mentors page that contains list of possible mentors and some getting started resources.

The target group is potential mentors, not students looking for mentors? If so I'd simply make a button say "Become a mentor" or such.

  • Landing Page
    • Revise 'Possible Mentors' page.

Possible mentors started out as a "common list of mentors of Summer of Code 2013 and Outreach Program for Women Round #6".
We have no concept how to keep that list slightly updated. This is the generic "Maintainers Missing in Action" problem in FOSS.
A week ago I turned the list into a table, with the vague intention to add a column directly linking to the latest Gerrit activity of every listed mentor (or to https://wikimedia.biterg.io ), so a student could check recent mentor activity themselves and potentially realize "This mentor has not been active in Gerrit for years" (I tried a few names and yes, this statement is true for some). However, some mentors are not on Gerrit but GitHub etc. Hence not sure if/how this is a good idea - thoughts welcome.
I don't see why it should say "If former mentors are missing, just add them" (which it says right now) if its scope is offering potential mentors for future projects instead of a Mentors Hall of Fame from the past. Again, scope of page...

Just saw the "Possible Mentors" page, looks really nice :) May be I am wrong here, but from what I am aware this page is helpful when students want to work on their own ideas or tasks not featured for the programs? In any case, whatever the purpose of this list is, we make it clear on the top of the page, and then revise this list every six months perhaps. More ambitious: we figure out a way to automate addition of public info of mentors to the wiki page and store email addresses elsewhere? And, send them an email every 6 months, to update/ remove their info.

  • GSOC/Outreachy pages
    • Perhaps the main page for each of these programs should contain information about the ongoing program (GSOC'17) and not a list of pages from previous years. List should stay in the top nav bar as it is right now

I'd probably add generic, "static" info to each main page. Short description, link to eligibility, expectations. Then link a blue button to most recent edition of the program?

Only thinking if we can avoid clicking twice :-/ As, the usual pattern is to search program name + org only to land on a page that shows the history

  • Life of a Successful Project
    • Move content from this page to the Recommended Steps for Prospective Candidates section of GSOC/Outreachy page, etc and then see if we could get rid of this page entirely?

Yes. Life of a successful project has different audiences: Info for both students (expectations, process, timeline) and mentors. As an interested student I'd not care about the life of a successful project (naming) but want to know what I'm expected to do and what I should know. On a technical maintenance level, note that we could transclude (lst) content from a page to be displayed in another page, but I'd not recommend when it comes to translatibility (grrr).
"Prospective Candidates" = "Applicants" / "Students"? As an applicant I could not really judge if I was prospective ("good enough") or not. :P

Yes. And, as a prospective student I would want to know how to participate in a specific program and what are the steps, and so this idea to move relevant info to the corresponding page. Prospective to be changed to applicants idea taken :D

Feel free to paste P5547 into a page, preview, change, remix, ignore. :)

Very very nice! :) I will use it.

I'm neutral here - might need help from someone who knows CSS Grids better, no idea about its browser support, and maybe there are better templates already I'm not aware of....? :-/

  • Revise 'Possible Mentors' page.

More ambitious: we figure out a way to automate addition of public info of mentors to the wiki page and store email addresses elsewhere?

We do have (most) email addresses in the backend of https://wikimedia.biterg.io which I maintain.

And, send them an email every 6 months, to update/ remove their info.

That's basically the "Debian maintainer ping" concept. Which is also the only poor person's solution I see, and maintaining that sounds painful, but yeah.

srishakatux added a comment.EditedJun 12 2017, 6:06 AM

Some progress to share on this:

@Aklapper Are we headed in a right direction?

Qgil added a comment.EditedJun 13 2017, 9:34 AM

Does someone dare to draw a diagram showing the different pages planned for new developers and how do they relate to each other? Something like this. I'm not recommending that tool specifically, this is the first result I got searching and it is illustrative. In fact, a bullet list with indentation would be enough as well.

@Aklapper Are we headed in a right direction?

I think so. Thanks a lot for working on this! :) Let me drop some quick thoughts after playing with it for the last hour:

I tweaked that a bit, and you can revert whatever you like.
I wondered: If I end up on that page, what do I want to know and find here? :)

  • "Wikimedia's Participation in Outreach Programs" - could that just be a simplified "Wikimedia's Outreach Programs"?
  • nitpicking: the page mixes deprecated html4 with proper css styles, sometimes uses hardcoded font sizes vs browser-interpreted ones like "big". I don't understand why all text in the right panel is "big".

Could we avoid having such documents in the top-level of mediawiki.org? Subpages like https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins already exist and it's easy to list all subpages so you don't have to fall back to MW's error-prone "Categories" system if you wanted to find related documents. :)

which is pulling content from the template here. With this, we could get rid of Life of a successful page, Application template and Possible Projects. The new page also links to a pre-populated Phabricator task that contains application template. There might be better ways of doing this, but I couldn't gather more from here. Any ideas?

Oh nice!

  • Task summary probably welcomes placeholders instead of ___, like "<insert the summary/name of your project here>" so people don't enter their names?
  • Also (nitpicking), colons vs no colons, and "IRC" means probably "IRC nickname on Freenode" or such?
  • "Location" might be "Location (country or state)" for the sake of some privacy?
  • "Typical working hours:" should maybe "(including the timezone)"?
  • Maybe a disclaimer note that entered data will be available to the public?
  • For "Possible Mentors", maybe the s in brackets, and should there be some request to indicate whether the mentor(s) have been already contacted?
  • For "Describe the timeline of your work", I wonder if we can make clear that we want more than two or three lines, but rather a first rough breakdown by weeks? And link to one past example task maybe with a good outline?
  • "Describe how you plan to communicate progress and ask for help" - I wonder what I'd be supposed to enter here apart from dropping names like "mailing lists, IRC, blog". But if that is the intention behind, alright. :)
  • Wishlist: I'd also love to see making sure that the Tags field is populated (not sure if that works with subprojects though, cough) and to make sure that a potential parent task is linked... (cannot remember if there was some %self% placeholder thingy to use as the value for the assign=xxx parameter, need to look that up again.)
  • There is one thing missing right now -- information about what would account for a successful program (community bonding, evaluations, and weekly reports). I plan to add a very very short section about it.
  • There is a Recommended Steps for GSOC & Outreachy Mentors. This is pulling information from template here. With this, we can get rid of Selection Process page.

Lovely! Should the "Stay Tuned!" also list Facebook? Because https://www.mediawiki.org/wiki/Communication#Twitter.2FFacebook and https://www.mediawiki.org/wiki/Social_media mention it...

Feels definitely like "admins" scope. But yeah we don't have an "admins" top-level, hence good question. :-/

  • Yet to plan on how to highlight Possible Mentors more. Though, it's currently linked from GSOC/Outreachy (Recommended Steps for Mentors) page. Yet to link it from Participants.
  • Yet to add pages which are currently missing (see landing page)

And after all this, https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins might also welcome updates when it comes to page names etc.

Thanks! :)

Qgil assigned this task to srishakatux.Jun 19 2017, 2:05 PM

(This task needs to be assigned)

I tweaked that a bit, and you can revert whatever you like.

Thank you very much for adding the changes above and overall feedback, all very helpful! :)

I wondered: If I end up on that page, what do I want to know and find here? :)

  • "Wikimedia's Participation in Outreach Programs" - could that just be a simplified "Wikimedia's Outreach Programs"?

That would mean all those are our outreach programs, but that's not true. It could be 'Wikimedia Outreach Programs Wiki (or other word)', but as I'm not sure about it right now, sticking with Outreach Programs.

  • nitpicking: the page mixes deprecated html4 with proper css styles, sometimes uses hardcoded font sizes vs browser-interpreted ones like "big". I don't understand why all text in the right panel is "big".

Really no good reason, but it looks better to me that way and also covers up extra white space :D Bad reason, and me no design guru. But...I would love to get quick feedback on the look and feel from someone from the design crew, once we are done.

Could we avoid having such documents in the top-level of mediawiki.org? Subpages like https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins already exist and it's easy to list all subpages so you don't have to fall back to MW's error-prone "Categories" system if you wanted to find related documents. :)

Thank you for sharing this! :) Didn't realize this before you mentioned. I've moved these pages and now they are also consistent with the rest. They are now here Google Summer of Code/Participants and same for outreachy.

  • Wishlist: I'd also love to see making sure that the Tags field is populated (not sure if that works with subprojects though, cough) and to make sure that a potential parent task is linked... (cannot remember if there was some %self% placeholder thingy to use as the value for the assign=xxx parameter, need to look that up again.)

Thanks for this as well! I've incorporated mostly all changes and added a new task URL. About the last point, yes would be a good idea. But, as we don't have new tags right now, I'm thinking of revisiting this later.

  • There is one thing missing right now -- information about what would account for a successful program (community bonding, evaluations, and weekly reports). I plan to add a very very short section about it.
  • There is a Recommended Steps for GSOC & Outreachy Mentors. This is pulling information from template here. With this, we can get rid of Selection Process page.

Lovely! Should the "Stay Tuned!" also list Facebook? Because https://www.mediawiki.org/wiki/Communication#Twitter.2FFacebook and https://www.mediawiki.org/wiki/Social_media mention it...

Yup, added this.

And after all this, https://www.mediawiki.org/wiki/Google_Summer_of_Code/Admins might also welcome updates when it comes to page names etc.

Only question I've -- What do you mean in the context of page names for above link?

Planning to work on some of the missing links on the landing page now. More to share soon.

srishakatux added a comment.EditedJun 27 2017, 2:57 AM

Update >

@Qgil Question about two pages that I'm not sure about:

  • Lessons Learned looks like a resource that belongs to the admin page, would it be okay if move it to the resources section of the same?
  • Organizations Are we using it anywhere? Does not look useful at this point, when we have more idea what should go in there, maybe we revamp it then?

@Aklapper With this I am ready to migrate new content to our existing pages. Few more thoughts/questions in mind are:

  • Landing page -- not have too many resources over there, as if we add more programs in future, the current design will not support it. And, so perhaps the landing page only include link to our main program pages (e.g. https://www.mediawiki.org/wiki/Google_Summer_of_Code). Also, take feedback from someone from the design team before re-thinking any further.
  • The main page for GSOC that I've linked above -- I would like to modify pages like these too, as they currently have three links for a previous round right now, which is a bit too much IMO. I'm considering to add on this page links to participants, mentors, admins, and current edition. Same for Outreachy.

Update > [...]

Looks good! I made some more smaller edits across the place. (Wondered if stuff like "for the previous round" might get outdated at some point but that's probably nothing to change, assuming those docs get repeatedly reviewed and receive updates.)

@Qgil Question about two pages that I'm not sure about:

  • Lessons Learned looks like a resource that belongs to the admin page, would it be okay if move it to the resources section of the same?

Not sure I get you correctly. The page is cross-program hence with the proposed structure there is no "the admin page" but each program has one. I'd link to that page from the "Resources" section of the Admins page of both Outreachy and GSoC, yes. (But I would not rename or move the "Lessons Learned" page.)

  • Organizations Are we using it anywhere? Does not look useful at this point, when we have more idea what should go in there, maybe we revamp it then?

IMO outdated, not helpful, and totally unclear audience (first section seems to be for people who know about orgs to inform us about those orgs, if that ever really happened and if we had capacity to support orgs? "Resources" section - no idea who that is for. "In touch" - seems to be for ourselves, to track?) IMO the page should either die or be moved under meta:Technical_Collaboration if it is meant to be a page for WMF's TC team.

@Aklapper With this I am ready to migrate new content to our existing pages. Few more thoughts/questions in mind are:

  • Landing page -- not have too many resources over there, as if we add more programs in future, the current design will not support it.

Heh. Design can be changed once needed. :) I support "not have too many resources" though because people need to click and have a clear path.

And, so perhaps the landing page only include link to our main program pages (e.g. https://www.mediawiki.org/wiki/Google_Summer_of_Code). Also, take feedback from someone from the design team before re-thinking any further.

Looking at https://www.mediawiki.org/w/index.php?title=User:SSethi_(WMF)/Outreach_Programs_Landing_Page&oldid=2499777 I have no strong opinion here. Current design saves you one click (directly go to "Student info", instead of first clicking on a program and then on "Student info") so I'd be lazy.
On the "Participants" subpages, the very first link should probably go to Eligibility info ( GSoC, Outreachy)? Because reading anything else is moot if you cannot participate anyway. :P

  • The main page for GSOC that I've linked above -- I would like to modify pages like these too, as they currently have three links for a previous round right now, which is a bit too much IMO. I'm considering to add on this page links to participants, mentors, admins, and current edition. Same for Outreachy.

Not sure I can follow, explicit link welcome to make sure we talk about the same things. :) If that is https://www.mediawiki.org/wiki/Google_Summer_of_Code and https://www.mediawiki.org/wiki/Outreachy that sounds like a plan, indeed! You could check if you could transclude some existing content to be displayed on those main pages, so we don't have to update the 'same content' on several pages.

Mostly done here with a new template that I borrowed from the Wikimedia Resource Center > https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Sandbox.
Planning to do a quick iteration before the final move.
I like the new design better than this >
https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Outreach_Programs_Landing_Page
Any final thoughts? :)

Looks good! I made some more smaller edits across the place. (Wondered if stuff like "for the previous round" might get outdated at some point but that's probably nothing to change, assuming those docs get repeatedly reviewed and receive updates.)

Hoping to review and receive updates, yes!

(But I would not rename or move the "Lessons Learned" page.)

Added this to the resources section of the admins page

MO the page should either die or be moved under meta:Technical_Collaboration if it is meant to be a page for WMF's TC team.

Leaving it as it is for now

On the "Participants" subpages, the very first link should probably go to Eligibility info ( GSoC, Outreachy)? Because reading anything else is moot if you cannot participate anyway. :P

Done

Aklapper added a comment.EditedJul 4 2017, 7:55 AM

Mostly done here with a new template that I borrowed from the Wikimedia Resource Center > https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Sandbox.

As much as I dislike abusing tables for page layout instead of presenting tabular data, I do like having a consistent design.
This looks better and cleaner than the previous iteration - thanks!
I'd still propose to get rid of obscure HTML elements like <big> (which are not supported in HTML5 for good reasons).

IMO Organizations should either die or be moved under meta:Technical_Collaboration if it is meant to be a page for WMF's TC team.

Leaving it as it is for now

Alright. Still, worth a separate lowest-prio task to decide later what to do with that page maybe?

As much as I dislike abusing tables for page layout instead of presenting tabular data

Okay, replaced big with span element, but keeping the text as of the same size it was before

Moved the content from Sandbox to https://www.mediawiki.org/wiki/Outreach_programs

Questions

  1. May I now delete the following pages:
    • Life of a successful project
    • Possible projects
    • Application template
    • Selection process
    • Messages to candidates
  1. About Google Code-in: May I move the Google_Code-in_2016/mentors to Google_Code-in/Mentors and instructions for participants from Google_Code-in_2016 to Google_Code-in/Participants just like we have now for GSOC & Outreachy?

Note to self: When we create a page for new outreach program round, consider it to be a subpage of the program page (e.g. Google Summer of Code/2018). That way it is easier to visit the main page where there are resources and more information.

Alright. Still, worth a separate lowest-prio task to decide later what to do with that page maybe?

Yup > T169837

Design & mobile-friendliness as suggested by TC members... to revisit once we know what is our final design for eevveerryytthhiinngg! Related task is here T169836

May I now delete the following pages:

If you're confident that all relevant content has been moved/updated, I'd recommend to redirect the listed pages to the 'front page'.
Sometimes "What links here" in the tool bar on the left is also helpful, to avoid pages linking to themselves etc after setting up redirects.

About Google Code-in: May I move the Google_Code-in_2016/mentors to Google_Code-in/Mentors and instructions for participants from Google_Code-in_2016 to Google_Code-in/Participants just like we have now for GSOC & Outreachy?

We should do that - yes please if you find the time for that! :)

When we create a page for new outreach program round, consider it to be a subpage of the program page (e.g. Google Summer of Code/2018)

We should probably move/redirect all the GSoC (top-level) 20XX pages to subpages at some point, indeed...

  • Life of a successful project
  • Possible projects
  • Application template
  • Selection process
  • Messages to candidates

Any other final comments to add @Aklapper, @Qgil, else looks like it is done from my end.

Aklapper added a comment.EditedAug 11 2017, 3:11 PM

👍 Yay!

Thanks a lot! It looks way way cleaner to me, good work! I've made some smaller edits.

Also wondering if https://www.mediawiki.org/wiki/Google_Code-in/Mentors#Common_instructions_for_tasks is important enough to keep somewhere, or not a good approach (honestly speaking: I do not know how much we've actually copied and pasted that in the past).

Any other final comments to add @Aklapper, @Qgil, else looks like it is done from my end.

I'm picky and filed T172684: Fix inaccessible HTML on [[mw:Outreach_programs]] by removing HTML tables used for layout purposes as lowest priority, having Accessibility in mind. But that task definitely does not block this very task.

Yeah, done I'd say (once your draft has replaced the current Mentors page). Well done, even! :)

srishakatux closed this task as Resolved.Aug 21 2017, 8:45 PM

@Aklapper Thank you for reviewing and adding changes :) New content lives here https://www.mediawiki.org/wiki/Google_Code-in/Mentors.

The following https://www.mediawiki.org/wiki/Google_Code-in/Mentors#Common_instructions_for_tasks does not look quite important and too much info, and so I've sandboxed it here, for now, https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Common_instructions_for_GCI_tasks. Whatever would be needed from this content for the next round, we could move it from here to appropriate venues.
Claimed the inaccessibility causing HTML task, and with that I'm closing this one :)

Qgil awarded a token.Aug 29 2017, 7:42 PM